Bug 868325 - Review Request: expatpp - A tiny OO C++ wrapper around expat
Summary: Review Request: expatpp - A tiny OO C++ wrapper around expat
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: vxl
TreeView+ depends on / blocked
 
Reported: 2012-10-19 14:09 UTC by Mario Ceresa
Modified: 2012-11-22 08:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-22 08:40:57 UTC
Type: ---
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mario Ceresa 2012-10-19 14:09:37 UTC
Spec URL: http://mrceresa.fedorapeople.org/expatpp.spec
SRPM URL: http://repos.fedorapeople.org/repos/mrceresa/cil/fedora-17/SRPMS/expatpp-0.6-20121019gitd8c1bf8.fc17.src.rpm
Description: Expatpp is a simple C++ layer to make using the open source expat XML parsing library vastly easier for complex schemas. It has been used widely in industry including the Valve Steam project.
Fedora Account System Username: mrceresa

Comment 1 Mario Ceresa 2012-10-19 14:10:36 UTC
Builds in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4607212

Comment 2 Peter Lemenkov 2012-10-19 14:12:55 UTC
I'll review it.

Comment 3 Mario Ceresa 2012-10-19 14:35:04 UTC
New srpm which fixes the name of the license, the comments to regenerate the tarball from the svn and the docs

http://mrceresa.fedorapeople.org/expatpp-0.6-20121019gitd8c1bf8.fc17.src.rpm

Maybe I have to call it expatpp-0-20121019r6.fc17.src.rpm?

Comment 4 Peter Lemenkov 2012-10-28 11:02:07 UTC
Few notes:

* Please specify a svn revision explicitly (instead of exporting HEAD)
* Relese should be from 1.20121019gitd8c1bf8%{?dist}

Otherwise looks good.

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/expatpp-* ../SRPMS/expatpp-0.6-20121019gitd8c1bf8.fc19.src.rpm 
expatpp.ppc: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes

^^^ false positive

expatpp-devel.ppc: W: no-documentation

^^^ sad but true.

expatpp.src: W: spelling-error %description -l en_US schemas -> schema, sachems, schemes

^^^ false positive

expatpp.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 12, tab: line 2)

^^^ cosmetic. Please fix in the mean time.

expatpp.src: W: file-size-mismatch expatpp.tar.bz2 = 10814, http://sourceforge.net/projects/expatpp/files/expatpp.tar.bz2 = 22116

^^^ since we don't use the tarball from SF in favor of autogenerated one then just shorted Source1 to expatpp.tar.bz2

4 packages and 0 specfiles checked; 0 errors, 5 warnings.
sulaco ~/rpmbuild/SPECS:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Mozilla Public License 1.1, as stated at the SF's page).
0 No licensing info provided in tarball.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
0 No pkgconfig(.pc) files.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


Ok, please address the issues noted above and I'll finish review.

Comment 6 Peter Lemenkov 2012-10-28 19:52:21 UTC
I don's see any other issues so this package is


APPROVED.

Comment 7 Mario Ceresa 2012-10-29 09:35:57 UTC
New Package SCM Request
=======================
Package Name: expatpp
Short Description: A tiny OO C++ wrapper around expat
Owners: mrceresa
Branches: f17 f18 f19 el6
InitialCC: peter

Comment 8 Gwyn Ciesla 2012-10-29 13:12:04 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-10-29 14:47:01 UTC
expatpp-0-1.20121019gitd8c1bf8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/expatpp-0-1.20121019gitd8c1bf8.fc17

Comment 10 Fedora Update System 2012-10-29 14:49:05 UTC
expatpp-0-1.20121019gitd8c1bf8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/expatpp-0-1.20121019gitd8c1bf8.fc18

Comment 11 Fedora Update System 2012-10-29 18:12:23 UTC
expatpp-0-1.20121019gitd8c1bf8.fc18 has been pushed to the Fedora 18 testing repository.


Note You need to log in before you can comment on or make changes to this bug.